package com.ssj.service.sys.fx.service.impl;

import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.alibaba.dubbo.config.annotation.Service;
import com.ssj.bean.sys.fx.domain.DeviceAct;
import com.ssj.dao.sys.fx.dao.DeviceActDao;
import com.ssj.dao.sys.fx.dao.FxQueryDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.sys.fx.service.DeviceActService;


@Service(version="1.0")
public class DeviceActServiceImpl extends BaseServiceImpl<DeviceAct, String> implements DeviceActService {

	private   Logger logger = LoggerFactory.getLogger(this.getClass());
	 
	@Autowired
	private DeviceActDao dao;
	
	@Autowired
	private FxQueryDao fxQueryDao;
	
    @Override
    public PagingAndSortingRepository<DeviceAct, String> getDao() {
        return dao;
    }

	@Override
	public Integer countDeviceByMerchantId(String merchantId) {
		return dao.countDeviceByMerchantId(merchantId);
	}

	
	@Override
	public Page<Map<String, Object>> findDeviceActCountListPage(
			Map<String, Object> params, Pageable pageable) {
		return fxQueryDao.findDeviceActCountListPage(params, pageable);
	}

	@Override
	public Page<Map<String, Object>> findDeviceActDetailsPage(Map<String, Object> params, Pageable pageable) {
		return fxQueryDao.findDeviceActDetailsPage(params, pageable);
	}

	
}


